<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.alexander-logistics</groupId>
	<artifactId>office-alexander-logistics</artifactId>
	<version>1.3.0</version>
	<packaging>pom</packaging>
	<name>Imixs Office Workflow - Custom Build</name>

	<modules>
		<module>office-alexander-logistics-app</module>
	</modules>

	<properties>
		<java.source>11</java.source>
		<java.target>11</java.target>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>

		<!-- Build Time -->
		<org.imixs.build.timestamp>${maven.build.timestamp}</org.imixs.build.timestamp>
		<maven.build.timestamp.format>yyyyMMddHHmmss</maven.build.timestamp.format>

		<!-- Dependency Versions -->
		<jakarta.version>10.0.0</jakarta.version>
		<org.imixs.office.version>5.0.3-SNAPSHOT</org.imixs.office.version>
		<org.imixs.workflow.version>6.0.8-SNAPSHOT</org.imixs.workflow.version>
		<org.imixs.marty.version>5.0.0</org.imixs.marty.version>
		<org.imixs.archive.version>3.0.2</org.imixs.archive.version>
		<org.imixs.adapters.version>3.0.2-SNAPSHOT</org.imixs.adapters.version>
		<org.imixs.melman.version>2.0.0-SNAPSHOT</org.imixs.melman.version>
		<microprofile.version>6.0</microprofile.version>
		<net.sf.saxon.version>9.9.1-4</net.sf.saxon.version>
		<apache.pdfbox.version>2.0.26</apache.pdfbox.version>
		<!-- -->
		<org.imixs.ai.version>1.1.0-SNAPSHOT</org.imixs.ai.version>
		<custom.webResources>src/main/webapp</custom.webResources>

		<!-- Environment Settings -->
		<imixs-office.contextroot>/</imixs-office.contextroot>
		<imixs-office.realm>imixsrealm</imixs-office.realm>
		<imixs-office.jta-data-source>jdbc/office</imixs-office.jta-data-source>
		<imixs-office.IndexDir>lucene/office-index</imixs-office.IndexDir>
		<imixs-office.applicationname>office-alexander-logistics</imixs-office.applicationname>

		<imixs-mail-res-ref-name>java:/mail/org.imixs.workflow.mail</imixs-mail-res-ref-name>


		<!-- Wildfly unpack war -->
		<custom.unpackTypes>war</custom.unpackTypes>

		<!-- jndi Mail res-ref name -->
		<imixs-mail-res-ref-name>java:/mail/org.imixs.workflow.mail</imixs-mail-res-ref-name>

		<org.imixs.kubernetes.registry>registry.tikal.imixs.com</org.imixs.kubernetes.registry>

	</properties>

	<repositories>
		<!-- Sonatype Snapshot repository -->
		<repository>
			<id>sonatype-snaptshots</id>
			<name>Sonatype Snapshot repository</name>
			<url>http://oss.sonatype.org/content/repositories/snapshots</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>

	<profiles>
		<profile>
			<id>docker</id>
			<!-- build latest - see ear module for details -->
		</profile>
		<profile>
			<id>debug</id>
			<!-- build latest - see ear module for details -->
		</profile>
		<profile>
			<id>kubernetes</id>
			<!-- build and push to rep - see ear module for details -->
		</profile>
	</profiles>


	<build>
		<resources>
			<!-- enable resource filtering for multi language version -->
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<plugins>
			<!-- use JDK settings for compiling -->
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.8.1</version>
				<configuration>
					<source>${java.source}</source>
					<target>${java.target}</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>2.6</version>
				<configuration>
					<encoding>${project.build.sourceEncoding}</encoding>
				</configuration>
			</plugin>
		</plugins>

		<finalName>office-alexander-logistics</finalName>
	</build>
	<dependencyManagement>
		<dependencies>

			<!-- Imixs Workflow -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-workflow-core</artifactId>
				<version>${org.imixs.workflow.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-workflow-engine</artifactId>
				<version>${org.imixs.workflow.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-workflow-faces</artifactId>
				<version>${org.imixs.workflow.version}</version>
			</dependency>
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-workflow-jax-rs</artifactId>
				<version>${org.imixs.workflow.version}</version>
			</dependency>
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-workflow-index-lucene</artifactId>
				<version>${org.imixs.workflow.version}</version>
			</dependency>

			<!-- Marty -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-marty</artifactId>
				<version>${org.imixs.marty.version}</version>
				<scope>provided</scope>
			</dependency>

			<!-- Office Workflow -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-office-workflow-app</artifactId>
				<version>${org.imixs.office.version}</version>
				<type>war</type>
			</dependency>


			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-office-workflow-util</artifactId>
				<version>${org.imixs.office.version}</version>
				<scope>provided</scope>
			</dependency>


			<!-- SEPA Adapter -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-adapters-sepa</artifactId>
				<version>${org.imixs.adapters.version}</version>
				<scope>provided</scope>
			</dependency>
			<!-- DATEV Adapter -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-adapters-datev</artifactId>
				<version>${org.imixs.adapters.version}</version>
				<scope>provided</scope>
			</dependency>
			<!-- QR Code -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-adapters-qrcode</artifactId>
				<version>${org.imixs.adapters.version}</version>
				<scope>provided</scope>
			</dependency>
			<!-- POI Adapter -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-adapters-poi</artifactId>
				<version>${org.imixs.adapters.version}</version>
				<scope>provided</scope>
			</dependency>

			<!-- Imixs-Archive API -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-archive-api</artifactId>
				<version>${org.imixs.archive.version}</version>
				<scope>provided</scope>
			</dependency>
			<!-- Imxixs-Archive Documents -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-archive-documents</artifactId>
				<version>${org.imixs.archive.version}</version>
				<scope>provided</scope>
			</dependency>
			<!-- Imxixs-Archive Importer -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-archive-importer</artifactId>
				<version>${org.imixs.archive.version}</version>
				<scope>compile</scope>
			</dependency>

			<!-- Imixs AI -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-ai-workflow</artifactId>
				<version>${org.imixs.ai.version}</version>
				<scope>compile</scope>
			</dependency>


			<!-- xsl 2.0 support for Reporting / Chart Diagrams -->
			<dependency>
				<groupId>net.sf.saxon</groupId>
				<artifactId>Saxon-HE</artifactId>
				<version>${net.sf.saxon.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<dependencies>
		<!-- Jakarta EE -->
		<dependency>
			<groupId>jakarta.platform</groupId>
			<artifactId>jakarta.jakartaee-api</artifactId>
			<version>${jakarta.version}</version>
			<scope>provided</scope>
		</dependency>


		<!-- Microprofile -->
		<dependency>
			<groupId>org.eclipse.microprofile</groupId>
			<artifactId>microprofile</artifactId>
			<version>${microprofile.version}</version>
			<type>pom</type>
			<scope>provided</scope>
		</dependency>

		<!-- JUnit Tests -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.13.1</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-core</artifactId>
			<version>5.8.0</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.eclipse.parsson</groupId>
			<artifactId>jakarta.json</artifactId>
			<version>1.1.1</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.glassfish.jaxb</groupId>
			<artifactId>jaxb-runtime</artifactId>
			<version>3.0.0</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>jakarta.xml.bind</groupId>
			<artifactId>jakarta.xml.bind-api</artifactId>
			<version>3.0.0</version>
			<scope>test</scope>
		</dependency>

	</dependencies>
</project>